FConvert2DImageToPixeltypeO< O > Struct Template Reference

functor to convert an image with an abitrary pixel type to single floating point pixels More...

`#include <mia/2d/image.hh>`

Inheritance diagram for FConvert2DImageToPixeltypeO< O >:
[legend]
Collaboration diagram for FConvert2DImageToPixeltypeO< O >:
[legend]

## Public Member Functions

T2DImage< O > | operator() (const C2DImage &image) const
template<typename T>
T2DImage< O > | operator() (const T2DImage< T > &image) const
T2DImage< O > | operator() (P2DImage image) const

## Additional Inherited Members

Public Types inherited from TFilter< T2DImage< O > >
typedef T2DImage< O > | result_type
| defines the return type of the filter function

## Detailed Description

template<typename O>
struct FConvert2DImageToPixeltypeO< O >

functor to convert an image with an abitrary pixel type to single floating point pixels

This functor provides the often used funcionality to convert a 2D image from any pixel representation to a pixel type O representation. The data is just copied. For conversion with scaling and proepry clamping you should use the convert filter provided through C2DFilterPluginHandler.

Template Parameters

  O | output pixel type

Definition at line 502 of file 2d/image.hh.

## Member Function Documentation

## operator()() [1/3]

template<typename O>

T2DImage< O > FConvert2DImageToPixeltypeO< O >::operator() | ( | const C2DImage & | image | ) | const

inline

Operator to do redirect the base class representation through mia::filter

Parameters

  image | input image

Returns
  the image converted floating point pixel values

Definition at line 523 of file 2d/image.hh.

## operator()() [2/3]

template<typename O>
template<typename T>

T2DImage< O > FConvert2DImageToPixeltypeO< O >::operator() | ( | const T2DImage< T > & | image | ) | const

inline

Operator to do the actual conversion.

Parameters

  image | input image

Returns
  the image converted floating point pixel values

Definition at line 510 of file 2d/image.hh.

## operator()() [3/3]

template<typename O>

T2DImage< O > FConvert2DImageToPixeltypeO< O >::operator() | ( | P2DImage | image | ) | const

inline

Operator to do redirect the pointer representation through mia::filter

Parameters

  image | input image pointer

Returns
  the image converted floating point pixel values

Definition at line 534 of file 2d/image.hh.

The documentation for this struct was generated from the following file:

- 2d/image.hh